## calypso.util
Class WeakLink

    java.lang.Object
      |
      +--sun.misc.Ref
            |
            +--calypso.util.WeakLink

public class WeakLink
extends sun.misc.Ref

Weak link class.

Constructor Summary
`WeakLink()`
`WeakLink(java.lang.Object obj)`

Method Summary
`java.lang.Object` | `reconstitute()`

Methods inherited from class sun.misc.Ref
`check, flush, get, setThing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakLink

    public WeakLink()

### WeakLink

    public WeakLink(java.lang.Object obj)

Method Detail

### reconstitute

    public java.lang.Object reconstitute()

  Overrides:
    reconstitute in class sun.misc.Ref